lib64qt5gui5-5.2.0-2.5.mga4.x86_64.rpm


Advertisement

Description

lib64qt5gui5 - Qt5 Component Library

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates x86_64
Package filename lib64qt5gui5-5.2.0-2.5.mga4.x86_64.rpm
Package name lib64qt5gui5
Package version 5.2.0
Package release 2.5.mga4
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.qt-project.org
License LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
Maintainer -
Download size 1.69 MB
Installed size 5.68 MB
Qt5 Component Library.
The QtGui module extends QtCore with GUI functionality.

Alternatives

Package Version Architecture Repository
lib64qt5gui5-5.2.0-2.4.mga4.x86_64.rpm 5.2.0 x86_64 Mageia Core Updates
lib64qt5gui5-5.2.0-2.3.mga4.x86_64.rpm 5.2.0 x86_64 Mageia Core Updates
lib64qt5gui5-5.2.0-2.mga4.x86_64.rpm 5.2.0 x86_64 Mageia Core
lib64qt5gui5 - - -

Requires

Name Value
libGL.so.1()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5DBus.so.5()(64bit) -
libQt5Gui.so.5()(64bit) -
libX11-xcb.so.1()(64bit) -
libX11.so.6()(64bit) -
libXi.so.6()(64bit) -
libXrender.so.1()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libjpeg.so.8()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpango-1.0.so.0()(64bit) -
libpng16.so.16()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libudev.so.1()(64bit) -
libxcb-glx.so.0()(64bit) -
libxcb-icccm.so.4()(64bit) -
libxcb-image.so.0()(64bit) -
libxcb-randr.so.0()(64bit) -
libxcb-render-util.so.0()(64bit) -
libxcb-render.so.0()(64bit) -
libxcb-shape.so.0()(64bit) -
libxcb-shm.so.0()(64bit) -
libxcb-sync.so.0()(64bit) -
libxcb-xfixes.so.0()(64bit) -
libxcb-xkb.so.0()(64bit) -
libxcb.so.1()(64bit) -
libxkbcommon.so.0()(64bit) -
libz.so.1()(64bit) -
qtbase5-common == 5.2.0

Provides

Name Value
lib64qt5gui5 == 5.2.0-2.5.mga4
lib64qt5gui5(x86-64) == 5.2.0-2.5.mga4
libQt5Gui.so.5()(64bit) -
libcomposeplatforminputcontextplugin.so()(64bit) -
libibusplatforminputcontextplugin.so()(64bit) -
libqgif.so()(64bit) -
libqgtk2.so()(64bit) -
libqico.so()(64bit) -
libqjpeg.so()(64bit) -
libqlinuxfb.so()(64bit) -
libqminimal.so()(64bit) -
libqoffscreen.so()(64bit) -
libqxcb.so()(64bit) -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64qt5gui5-5.2.0-2.5.mga4.x86_64.rpm
Source Package qtbase5-5.2.0-2.5.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qt5gui5 rpm package:
    # urpmi lib64qt5gui5

Files

Path
/usr/lib64/libQt5Gui.so.5
/usr/lib64/libQt5Gui.so.5.2
/usr/lib64/libQt5Gui.so.5.2.0
/usr/lib64/qt5/plugins/imageformats/libqgif.so
/usr/lib64/qt5/plugins/imageformats/libqico.so
/usr/lib64/qt5/plugins/imageformats/libqjpeg.so
/usr/lib64/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
/usr/lib64/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
/usr/lib64/qt5/plugins/platforms/libqlinuxfb.so
/usr/lib64/qt5/plugins/platforms/libqminimal.so
/usr/lib64/qt5/plugins/platforms/libqoffscreen.so
/usr/lib64/qt5/plugins/platforms/libqxcb.so
/usr/lib64/qt5/plugins/platformthemes/libqgtk2.so

Changelog

2015-04-22 - luigiwalser <luigiwalser> 5.2.0-2.5.mga4
+ Revision: 820559
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
- add patch from upstream via fedora to fix CVE-2014-0190
+ lmenut <lmenut>
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
lib64qt5network-devel-5.2.0-2.3.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network-devel-5.2.0-2.4.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network-devel-5.2.0-2.5.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network-private-devel-5.2.0-2.3.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network-private-devel-5.2.0-2.4.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network-private-devel-5.2.0-2.5.mga4.x86_64.rpm Devel files needed to build apps based on QtNetwork
lib64qt5network5-5.2.0-2.3.mga4.x86_64.rpm Qt5 Component Library
lib64qt5network5-5.2.0-2.4.mga4.x86_64.rpm Qt5 Component Library
lib64qt5network5-5.2.0-2.5.mga4.x86_64.rpm Qt5 Component Library
lib64qt5opengl-devel-5.2.0-2.3.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
lib64qt5opengl-devel-5.2.0-2.4.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
lib64qt5opengl-devel-5.2.0-2.5.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
lib64qt5opengl-private-devel-5.2.0-2.3.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
lib64qt5opengl-private-devel-5.2.0-2.4.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
lib64qt5opengl-private-devel-5.2.0-2.5.mga4.x86_64.rpm Devel files needed to build apps based on QtContacts
Advertisement
Advertisement